#!/bin/sh

usage()
{
    echo "usage: insertcontact.sh [--ng NAMEGIVEN] [--nf NAMEFAMILY] [--pn PHONENUMBER]";
}

case $# in
    0)
	usage
	exit 1
	;;
esac

ng=""
nf=""
pn=""

while [ $# -gt 0 ]
do
    case $1 in
	--ng)
	    ng=$2
	    ;;
	--nf)
	    nf=$2
	    ;;
	--pn)
	    pn=$2
	    ;;
    esac
    shift
    shift
done

query="insert { _:u a nco:PersonContact . "

if [ -n "$ng" ]
then
    query="$query _:u nco:nameGiven \"$ng\" ."
fi

if [ -n "$nf" ]
then
    query="$query _:u nco:nameFamily \"$nf\" ."
fi

if [ -n "$pn" ]
then
    query="$query _:u nco:hasPhoneNumber _:pn . _:pn a nco:PhoneNumber ; nco:phoneNumber \"$pn\" ."
fi

query="$query }"

echo $query

tracker-sparql -qu "$query"
