#!/bin/sh

usage()
{
    echo "usage: updatecontact.sh ID [--ng NAMEGIVEN] [--nf NAMEFAMILY] [--pn PHONENUMBER]";
}

case $# in
    0)
	usage
	exit 1
	;;
    1)
	usage
	exit 1
	;;
esac

ng=""
nf=""
pn=""

id=$1
shift

while [ $# -gt 0 ]
do
    case $1 in
	--ng)
	    ng=$2
	    ;;
	--nf)
	    nf=$2
	    ;;
	--pn)
	    pn=$2
	    ;;
    esac
    shift
    shift
done

echo "data" $ng $nf $pn

deletequery="delete { "
wherequery="where { "
insertquery="insert { "

if [ -n "$ng" ]
then
    deletequery="$deletequery ?u nco:nameGiven ?ng ."
    wherequery="$wherequery ?u nco:nameGiven ?ng ."
    insertquery="$insertquery ?u nco:nameGiven \"$ng\""
fi

if [ -n "$nf" ]
then
    deletequery="$deletequery ?u nco:nameFamily ?nf ."
    wherequery="$wherequery ?u nco:nameFamily ?nf ."
    insertquery="$insertquery ?u nco:nameFamily \"$nf\""
fi

if [ -n "$pn" ]
then
    deletequery="$deletequery ?u nco:hasPhoneNumber ?pn . ?pn a rdfs:Resource . "
    wherequery="$wherequery ?u nco:hasPhoneNumber ?pn ."
    insertquery="$insertquery ?u nco:hasPhoneNumber _:pn . _:pn a nco:PhoneNumber ; nco:phoneNumber \"$pn\""
fi

deletequery="$deletequery }"
wherequery="$wherequery FILTER(tracker:id(?u) = $id) }"
insertquery="$insertquery } where { ?u a nco:PersonContact . FILTER(tracker:id(?u) = $id) }"

query="$deletequery $wherequery $insertquery"
echo $query

tracker-sparql -qu "$query"
