/****************************************************************************
**
** Copyright (C) 2010-2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (ivan.frade@nokia.com)
**
** This file is part of QtSparqlTracker library.
**
** $QT_BEGIN_LICENSE:LGPL$
** GNU Lesser General Public License Usage
** This file may be used under the terms of the GNU Lesser General Public
** License version 2.1 as published by the Free Software Foundation and
** appearing in the file LICENSE.LGPL included in the packaging of this
** file. Please review the following information to ensure the GNU Lesser
** General Public License version 2.1 requirements will be met:
** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights. These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU General
** Public License version 3.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of this
** file. Please review the following information to ensure the GNU General
** Public License version 3.0 requirements will be met:
** http://www.gnu.org/copyleft/gpl.html.
**
** Other Usage
** Alternatively, this file may be used in accordance with the terms and
** conditions contained in a signed written agreement between you and Nokia.
**
** If you have questions regarding the use of this file, please contact
** Nokia at ivan.frade@nokia.com.
** $QT_END_LICENSE$
**
****************************************************************************/

#include "TrackerSync"

#include <QtTest/QtTest>
#include <QtSparql/QtSparql>

//const QString qtest(qTableName( "qtest", __FILE__ )); // FIXME: what's this

//TESTED_FILES=

using namespace Tracker;

class tst_TrackerSync : public QObject
{
    Q_OBJECT

public:
    tst_TrackerSync();
    virtual ~tst_TrackerSync();

public slots:
    void initTestCase();
    void cleanupTestCase();
    void init();
    void cleanup();

private slots:
    void sync();
private:
    QString className;
    int typeId, personContactId, nameGivenId;
};

tst_TrackerSync::tst_TrackerSync()
{
}

tst_TrackerSync::~tst_TrackerSync()
{
}

void tst_TrackerSync::initTestCase()
{
}

void tst_TrackerSync::cleanupTestCase()
{
}

void tst_TrackerSync::init()
{
}

void tst_TrackerSync::cleanup()
{
}

void tst_TrackerSync::sync()
{
    // We cannot verify much here; you can only spy with dbus-monitor to see
    // whether the D-Bus function was called.
    bool res = syncTracker();
    QVERIFY(res);
}

QTEST_MAIN( tst_TrackerSync )
#include "tst_tracker_sync.moc"
