/****************************************************************************
**
** Copyright (C) 2010-2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (ivan.frade@nokia.com)
**
** This file is part of QtSparqlTracker library.
**
** $QT_BEGIN_LICENSE:LGPL$
** GNU Lesser General Public License Usage
** This file may be used under the terms of the GNU Lesser General Public
** License version 2.1 as published by the Free Software Foundation and
** appearing in the file LICENSE.LGPL included in the packaging of this
** file. Please review the following information to ensure the GNU Lesser
** General Public License version 2.1 requirements will be met:
** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights. These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU General
** Public License version 3.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of this
** file. Please review the following information to ensure the GNU General
** Public License version 3.0 requirements will be met:
** http://www.gnu.org/copyleft/gpl.html.
**
** Other Usage
** Alternatively, this file may be used in accordance with the terms and
** conditions contained in a signed written agreement between you and Nokia.
**
** If you have questions regarding the use of this file, please contact
** Nokia at ivan.frade@nokia.com.
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef MODELTESTHELPERS_H
#define MODELTESTHELPERS_H

#include <QAbstractItemModel>
#include <QStringList>
#include <QVariantList>

// Helper functions requiring only QAbstractItemModel (not TrackerLiveQuery).

bool equalModels(const QAbstractItemModel* lhs, const QAbstractItemModel* rhs);

void printModel(const QAbstractItemModel* model);

QStringList getRows(QAbstractItemModel* model, QList<int> columns);

typedef QVariantList ModelRowData;

ModelRowData rowData(const QAbstractItemModel* model, int row);

bool equalRowData(const QAbstractItemModel* model, int row, const ModelRowData& expectedData);

bool verifySignalParameters(const QList<QVariant>& params, const QModelIndex& parent, int start, int end,
                            const QModelIndex & destinationParent = QModelIndex(), int destinationRow = -1);

#endif
